﻿
; 这个脚本用来解决「使用 Shift+鼠标左键选择文本时，
; 会切换中英文输入状态」的问题，阻止不必要的输入语言切换

; 自动执行段 START -------------------
SendMode Input

; 在Shift被按下之后，鼠标按键被点击的次数
mouseClickCountWhenShiftPressedDown := 0

return
; 自动执行段 END -------------------


*Shift::Send {Shift down}


*Shift Up::
global mouseClickCountWhenShiftPressedDown

if (mouseClickCountWhenShiftPressedDown > 0) {
    ; 在按住Shift之后点击了鼠标左键时，
    ; 采用下面的方式释放Shift键，避免切换中英文输入状态
    
    ; 把Ctrl键按下后再释放Shift键
    Send {Ctrl down}
    Send {Shift up}{Ctrl up}
    
    mouseClickCountWhenShiftPressedDown := 0
}
else {
    ; 在按住Shift之后没有点击鼠标左键时，正常释放Shift键
    Send {Shift up}
}

return


~*LButton::
global mouseClickCountWhenShiftPressedDown

if (GetKeyState("Shift", "P")) {
    mouseClickCountWhenShiftPressedDown++
}

return
